Package com.sun.speech.freetts

# Class Gender

java.lang.Object
com.sun.speech.freetts.Gender

All Implemented Interfaces:
  `Comparable`

public class Gender extends Object implements Comparable
Provides an enumeration of Gender, following the JSAPI style. (http://java.sun.com/products/java-media/speech/forDevelopers/jsapi-doc/) These are intended for use to define properties about FreeTTS voices.

See Also:
  - `Voice`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Gender`
`DONT_CARE`
Match against all other genders.
`static final Gender`
`FEMALE`
Female.
`static final Gender`
`MALE`
Male.
`static final Gender`
`NEUTRAL`
Neutral such as a robot or artificial.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
Compare two genders.
`String`
`toString()`
Generates a human readable name describing the gender.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### MALE

public static final Gender MALE
Male.

### FEMALE

public static final Gender FEMALE
Female.

### NEUTRAL

public static final Gender NEUTRAL
Neutral such as a robot or artificial.

### DONT_CARE

public static final Gender DONT_CARE
Match against all other genders.

## Method Details

### toString

public String toString()
Generates a human readable name describing the gender.

Overrides:
  `toString` in class `Object`
Returns:
  the name of the gender

### compareTo

public int compareTo(Object o)
Compare two genders. If either is DONT_CARE, then returns 0.

Specified by:
  `compareTo` in interface `Comparable`